update-manager apport package hook should gather HWE information

Bug #1617080 reported by Brian Murray on 2016-08-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Brian Murray
Trusty
High
Brian Murray
Xenial
Medium
Unassigned

Bug Description

Sometimes systems can have a hard time installing the HWE replacements, https://errors.ubuntu.com/problem/fc13839a8f16399991b1e1907d410c7f161d7fc9, it'd be helpful if apport were to gather information about what HWE packages are installed and which HWE replacement packages are recommended.

Test Case
---------
1) Run ubuntu-bug update-manager
2) Observe there are no HWE fields in the report

With the version of update-manager from -proposed you'll now see HWEunsupported (the output of hwe-support-status --show-all-unsupported) and HWEreplacements (the output of hwe-support-status --show-replacements). If you are running the -lts-xenial stack these may be empty.

Related branches

Changed in update-manager (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in update-manager (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
status: New → Triaged
importance: Undecided → High
Changed in update-manager (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in update-manager (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → Medium

Hello Brian, or anyone else affected,

Accepted update-manager into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:0.196.20 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

summary: - update-manager apport package hook should gather HWE infromation
+ update-manager apport package hook should gather HWE information
Changed in update-manager (Ubuntu Trusty):
status: Triaged → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

The following OOPS has HWEreplacements in it:

https://errors.ubuntu.com/oops/b99ff0be-6efa-11e6-bf8e-fa163e192766

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.196.21

---------------
update-manager (1:0.196.21) trusty-proposed; urgency=medium

  * hwe-support-status: Deal with the fact that fglrx was deprecated in 16.04
    so will not work with the Xenial 16.04 HWE stack. (LP: #1617448)

 -- Brian Murray <email address hidden> Mon, 29 Aug 2016 16:13:22 -0700

Changed in update-manager (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:16.10.5

---------------
update-manager (1:16.10.5) yakkety; urgency=medium

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: when marking HWE packages for install pass
    on a SystemError and let the problem resolver sort it out.
  * HweSupportStatus/consts.py: Improve wording of the messages.
  * hwe-support-status:
    - decode output when checking for foreign architectures so that the result
      is unicode not bytes.
    - add libwayland-egl1-mesa to the list of metapackages.
    - utilize a virtualbox metapackage set.
    - Do not show replacements that are already installed on
      the system. (LP: #1607983)
  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)
  * source_update-manager.py: only collect HWE information if it exists.

  [ Jeremy Bicha ]
  * Add gi.require_version in a few more places to reduce the annoying
    warnings. (LP: #1573177)

 -- Brian Murray <email address hidden> Thu, 08 Sep 2016 16:01:13 -0700

Changed in update-manager (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers